% create_bandsPC.m

temp = findobj('tag','BandstoVisualize');
set(temp,'enable','on');

[r,c]=size(bandpixels);

b2u=1:r;

for i=1:length(b2u)
   callbacks{i} = ['menuans='num2str(b2u(i)) ';' 'Visualize_Bands'];
   %b2u=[b2u,i];
end
callbacks{i+1} = ['menuans='num2str(0) ';' 'RGB            '];

for i=1:length(b2u)
    h2(i) = uimenu(temp, ...
      	'label',['Band ' num2str(b2u(i))],...
   		'callback',callbacks{i},...
         'tag',['Bands' num2str(b2u(i))]);
    disp(sprintf('Band %d ready...',b2u(1,i)));
end
h2(i+1) = uimenu(temp, ...
      	'label','Three Bands',...
   		'callback',callbacks{i+1},...
         'tag','ThreeBands');
      
%===========================================================================

for i=1:length(b2u) %repeat on all bands
  	Offset=1; 		% setting offset
   for j=1:number_of_rows	
		Band_Image(j,:,i)=bandpixels(i,Offset:j*number_of_columns); %i dimensions matrix
	 	Offset=Offset+number_of_columns;
   end
end

clear i j k temp h2 Offset pixelsize format c2 c1 l2 l1 rows columns bands
clear i j k temp path Offset name_of_image h2 OK tag_me tag_sub me sub n_bands
