%load_mat_bands.m

tag_me=findobj('tag','me_bands');
me=get(tag_me, 'Value');
tag_sub=findobj('tag','subset_bands');
sub=get(tag_sub, 'Value');
tag_pc=findobj('tag','pc_bands');
pc=get(tag_pc, 'Value');
tag_da=findobj('tag','da_bands');
da=get(tag_da, 'Value');

tag_bands=findobj('tag','nbands');
n_bands=str2num(get(tag_bands,'String'));

if me == 1
   for i=1:number_of_bands
   Band=['Band ' num2str(i)];
   options(i,1)={(Band)};
   end

   [b2u,OK]=listdlg('listString',options,'prompt',{'Select desired bands';'for analysis'});
   disp('The bands you selected are: ')
   disp(sort(b2u))
   
   create_bands
elseif sub == 1
   [b2u,cano]=Svdss(pixels',n_bands);
   b2u=sort(b2u);
   disp('The bands selected by Subset Selection are: ')
   disp(b2u)
   disp('with a canonical correlation with the principal components of: ')
   disp(cano)
   
   create_bands
elseif pc==1
   disp('Using Pricipal Components Analysis...')
   disp('Proyecting the data...')
   principal_comp
   create_bandsPC
   
elseif da == 1
   b2u=1:number_of_bands;
   create_bands
end

