%loadingrs.m
%Laura E Santos Campis
%Statistical Pattern Recognition Educational Matlab Toolbox

temp=findobj('tag','EditText6');
rows=str2num(get(temp,'string'));

temp=findobj('tag','EditText7');
columns=str2num(get(temp,'string'));

temp=findobj('tag','EditText4');
l1=str2num(get(temp,'string'));
temp=findobj('tag','EditText2');
l2=str2num(get(temp,'string'));

temp=findobj('tag','EditText5');
c1=str2num(get(temp,'string'));
temp=findobj('tag','EditText3');
c2=str2num(get(temp,'string'));

temp=findobj('tag','PopupMenu1');
format=get(temp,'value');

temp=findobj('tag','PopupMenu2');
pixelsize=get(temp,'value');

close

number_of_bands = bands;
number_of_rows=l2-l1+1;
number_of_columns=c2-c1+1;

for i=1:number_of_bands %repeat on all bands
  	Offset=1; 		% setting offset
   for j=1:number_of_rows	
		Whole_Image(j,:,i)=pixels(i,Offset:j*number_of_columns); %i dimensions matrix
	 	Offset=Offset+number_of_columns;
   end
end

temp = findobj('tag','BandstoVisualize');
set(temp,'enable','on');

for i=1:length(b2u)
   callbacks{i} = ['menuans='num2str(b2u(i)) ';' 'Visualize_Bands'];
   %b2u=[b2u,i];
end
callbacks{i+1} = ['menuans='num2str(0) ';' 'RGB            '];

for i=1:length(b2u)
    h2(i) = uimenu(temp, ...
      	'label',['Band ' num2str(b2u(i))],...
   		'callback',callbacks{i},...
         'tag',['Bands' num2str(b2u(i))]);
    disp(sprintf('Band %d ready...',b2u(1,i)));
end
h2(i+1) = uimenu(temp, ...
      	'label','Three Bands',...
   		'callback',callbacks{i+1},...
         'tag','ThreeBands');
      
%===========================================================================

for i=1:length(b2u) %repeat on selected bands
  	Offset=1; 		% setting offset
   for j=1:number_of_rows	
		bandpixels(i,Offset:j*number_of_columns)=Whole_Image(j,:,b2u(i)); %i dimensions matrix
	 	Offset=Offset+number_of_columns;
   end
end

for i=1:length(b2u) %repeat on all bands
  	Offset=1; 		% setting offset
   for j=1:number_of_rows	
		Band_Image(j,:,i)=bandpixels(i,Offset:j*number_of_columns); %i dimensions matrix
	 	Offset=Offset+number_of_columns;
   end
end


clear i j k temp h2 Offset pixelsize format c2 c1 l2 l1 rows columns bands