% pca_reduction.m

dapca=1;

uiwait(NBANDS)
uiresume

if n_bands ~= 0
   
disp('Using Pricipal Components Analysis...')
disp('Proyecting the data...')

X=pixels;

%Estimate the mean and covariance from the data set
MM=mean(X')';
SS=cov(X')';

%Estimate the eigenvectors(VV) and the eigenvalues (DD)
[VV,DD]=eigs(SS,n_bands,'LM');

%Project the data set to the principal component
bandpixels=VV'*X;
clear X

b2u=1:size(bandpixels,1);

Band_Image=zeros(number_of_rows,number_of_columns,length(b2u));

for i=1:length(b2u) %repeat on all bands
  	Offset=1; 		% setting offset
   for j=1:number_of_rows	
		Band_Image(j,:,i)=bandpixels(i,Offset:j*number_of_columns); %i dimensions matrix
	 	Offset=Offset+number_of_columns;
   end
end

max_bands=length(b2u);
view_reduced_image

n_bands=0;

clear VV DD SS MM Offset i j 

else
   disp('Selection aborted ...')
end

