function [imgcube]=stepcubeA(fname,ext,nstart,nstep,nstop)
%
% [imgcube]=stepcube(filename,fileextension,start,step,stop);
%
% image orientation corrected. ERD 06/08/00

blah=0;	% break the flow
% Load any one frame
specfname=[fname,num2str(nstart),ext];

frame=double(ipread(specfname));  
% Determine size of frame
[r,c]=size(frame);

% Create blank cube of (size of frame)*(number of frames)
n=floor((nstop-nstart)/nstep+1);
imgcube=zeros(c,r,n);

% For ALL frames:
%    load a frame
%    fit it into the imagecube
%    repeat until no more frames
for x=1:n
   specfname=[fname,sprintf('%d',(x-1)*nstep+nstart),ext];   
%   loadname=load(specfname);
%   varname=fieldnames(loadname);
%   frame=getfield(loadname,char(varname));
   frame=double(ipread(specfname));  
   imgcube(:,:,x)=frame';
end
% save 'cube' imgcube;
% save the cube as a .TIF file (???? - Don't know whether that works yet)
% return the imagecube
