function fig = main()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load main

h0 = figure('Units','points', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','Supervised Classification Toolbox', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[150 99 647 433], ...
	'Tag','Fig2');
h1 = uimenu('Parent',h0, ...
	'Label','Load Image', ...
	'Tag','uimenu1');
h2 = uimenu('Parent',h1, ...
	'Callback','load_mat_image', ...
	'Label','Matlab Format', ...
	'Tag','Load Imageuimenu1');
h2 = uimenu('Parent',h1, ...
	'Callback','load_rs_image', ...
	'Label','Remote Sensing Format', ...
	'Tag','Load Imageuimenu2');
h2 = uimenu('Parent',h1, ...
	'Callback','load_tif_image', ...
	'Label','TIFF Format', ...
	'Tag','Load Imageuimenu3');
%h2 = uimenu('Parent',h1, ...
%	'Callback','LOAD_IPLAB', ...
%	'Label','IPLab Files', ...
%	'Tag','Load Imageuimenu4');
h1 = uimenu('Parent',h0, ...
	'Label','Dimension Reduction', ...
	'Tag','uimenu2');
h2 = uimenu('Parent',h1, ...
	'Callback','selected_bands', ...
	'Label','Selected Bands', ...
	'Tag','Dimension Reductionuimenu1');
h2 = uimenu('Parent',h1, ...
	'Callback','pca_reduction', ...
	'Label','Principal Components', ...
	'Tag','Dimension Reductionuimenu3');
h1 = uimenu('Parent',h0, ...
	'Label','Classify', ...
	'Tag','uimenu3');
h2 = uimenu('Parent',h1, ...
	'Callback','CLASSIFY', ...
	'Label','Parametric Classification', ...
	'Tag','Classifyuimenu1');
h1 = uimenu('Parent',h0, ...
	'Label','Utilities', ...
	'Tag','uimenu5');
h2 = uimenu('Parent',h1, ...
	'Callback','call_VISUALGUI', ...
	'Label','Class Statistics', ...
	'Tag','Subuimenu2');
h2 = uimenu('Parent',h1, ...
	'Callback','pixinfo', ...
	'Label','Pixel''s Spectral Response', ...
	'Tag','Utilitiesuimenu1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.568627450980392 0.580392156862745 0.584313725490196], ...
	'Position',[402 206 219 154], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'Position',[25 69 355 293], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4971751412429378 -0.0582191780821919 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.06497175141242938 0.4965753424657533 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat2, ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4971751412429378 1.013698630136986 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','refresh_image', ...
	'Max',10, ...
	'Position',[22 24 292 16], ...
	'Style','slider', ...
	'Tag','Slider1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','RGB', ...
	'Position',[322.5 19.5 63.75 26.25], ...
	'String','RGB', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'FontSize',14, ...
	'Position',[146 368 81 17], ...
	'String','Band 1', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','zoom', ...
	'Position',[417 251 79 23], ...
	'String','Select Area', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','store', ...
	'Position',[417 219 79 23], ...
	'String','Store', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','next_class', ...
	'Position',[417 292 79 23], ...
	'String','Next Class', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','previous_class', ...
	'Position',[418 326 78 23], ...
	'String','Previous Class', ...
	'Tag','Pushbutton5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','EDIT_SAMPLE', ...
	'Position',[523 148 102 24], ...
	'String','Edit Sample', ...
	'Tag','Pushbutton6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[562 321 32 22], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','curr_class');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.568627450980392 0.580392156862745 0.584313725490196], ...
	'Callback','tr_radiobutton', ...
	'Position',[510 262 105 14], ...
	'String','Training Sample', ...
	'Style','radiobutton', ...
	'Tag','tag_tr', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.568627450980392 0.580392156862745 0.584313725490196], ...
	'Callback','te_radiobutton', ...
	'Position',[510 242 105 15], ...
	'String','Testing Sample', ...
	'Style','radiobutton', ...
	'Tag','tag_te');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.568627450980392 0.580392156862745 0.584313725490196], ...
	'Position',[503 316 44 29], ...
	'String','Current Class', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','refresh_image', ...
	'Position',[402 148 102 24], ...
	'String','Refresh', ...
	'Tag','Pushbutton7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','load_training', ...
	'Position',[402 102 103 22], ...
	'String','Load Training Data', ...
	'Tag','Pushbutton8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','save_training', ...
	'Position',[525 102 102 22], ...
	'String','Save Training Data', ...
	'Tag','Pushbutton9');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','quittool', ...
	'FontSize',12, ...
	'Position',[537 32 68 28], ...
	'String','QUIT', ...
	'Tag','Pushbutton10');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'FontSize',14, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[30 384 291 38], ...
	'String','Supervised Classification Toolbox Educational Version', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.513725490196078 0.6 0.6941176470588239], ...
	'Callback','reload_data', ...
	'Position',[420 31 68 28], ...
	'String','Reload data', ...
	'Tag','Pushbutton11');
if nargout > 0, fig = h0; end
