%Visualize_BandsPC.m
%Cesar E. Santiago 
%Statistical Pattern Recognition Toolbox
%This is calles by the Test GUI each time we want to see a different
%band. Please notice that each time this is done classes that were
%selected for classification are erased, and you have to select your areas 
%again

%last modified 01/09/00 LSC

%load image option

if menuans == 0
   if length(b2u)<3
      disp('Less than 3 bands were selected, RGB combination not possible...')
   else
   temp=findobj('tag','red');
   red = str2num(get(temp,'String'));
   temp=findobj('tag','green');
   green = str2num(get(temp,'String'));
   temp=findobj('tag','blue');
   blue = str2num(get(temp,'String'));
   
   r = find(b2u==red);
   New_Image(:,:,1)=Band_Image(:,:,r);
   g = find(b2u==green);
   New_Image(:,:,2)=Band_Image(:,:,g);
   b = find(b2u==blue);
	New_Image(:,:,3)=Band_Image(:,:,b);
   
   figure(tag_fig1)
   %image(abs(New_Image./max(max(max(New_Image)))));
   image(im2uint8(New_Image./max(max(max(New_Image)))));
   %image(im2uint8(New_Image))
   end
else
   New_Image=Band_Image(:,:,menuans);
   colormap(gray)
   imagesc(New_Image);
   %image(im2uint8(New_Image))
   %image(im2uint8(New_Image./max(max(max(New_Image)))));
end

clear temp r g b red blue green 
