function y = corr(x)
% CORR correlation matrix
% CORR(X), is the correlation matrix, where X is a covariance matrix, 

[m, n]= size(x);
for i=1:m,
   for j=1:n,
      y(i,j)= x(i,j) / (sqrt(x(i,i)) * sqrt(x(j,j)));
   end
end