% load_training


[file, path]= uigetfile('*.mat', 'Select Training Data Info.');

if path ~= 0

load([path file]);

data_in=1;

disp('Loading Training and Testing Samples...')

% generating program variables

number_of_classes=length(samplesTr);
class_counter=number_of_classes;

for i=1:number_of_classes
   cluster_tr{i}=length(samplesTr{i});
   if isempty(samplesTe)~=1
      cluster_te{i}=length(samplesTe{i});
   end
end

number_of_clusters_tr=cluster_tr{number_of_classes};

if isempty(samplesTe)~=1
   number_of_clusters_te=cluster_te{number_of_classes};
end

temp=findobj('tag','curr_class');
set(temp,'String',num2str(number_of_classes));


for a=1:number_of_classes
   for b=1:cluster_tr{a}
      Xmin=samplesTr{a}{b}(1);
      Xmax=samplesTr{a}{b}(2);
      Ymin=samplesTr{a}{b}(3);
      Ymax=samplesTr{a}{b}(4);
      
      rows=Ymax-Ymin+1;
      columns=Xmax-Xmin+1;
      
      if reduced == 1
   for i=1:length(b2u)	%store each band
      CurrentRow=Ymin;   %current Row being extracted from Whole_Image
	   Offset=1;
		for j=1:rows
      	SelectedAreasTr{a}{b}(i,Offset:j*columns)=Band_Image(CurrentRow,Xmin:Xmax,i);
      	CurrentRow=CurrentRow+1;	%next row in original image
	   	Offset=Offset+columns;	%offset
   	end
	end
else
   for i=1:number_of_bands	%store each band
      CurrentRow=Ymin;   %current Row being extracted from Whole_Image
	   Offset=1;
		for j=1:rows
      	SelectedAreasTr{a}{b}(i,Offset:j*columns)=Whole_Image(CurrentRow,Xmin:Xmax,i);
      	CurrentRow=CurrentRow+1;	%next row in original image
	   	Offset=Offset+columns;	%offset
   	end
   end
end

end
end

if isempty(samplesTe)~=1
for a=1:number_of_classes
   for b=1:cluster_te{a}
      Xmin=samplesTe{a}{b}(1);
      Xmax=samplesTe{a}{b}(2);
      Ymin=samplesTe{a}{b}(3);
      Ymax=samplesTe{a}{b}(4);
      
      rows=Ymax-Ymin+1;
      columns=Xmax-Xmin+1;
      
      if reduced == 1
   for i=1:length(b2u)	%store each band
      CurrentRow=Ymin;   %current Row being extracted from Whole_Image
	   Offset=1;
		for j=1:rows
      	SelectedAreasTe{a}{b}(i,Offset:j*columns)=Band_Image(CurrentRow,Xmin:Xmax,i);
      	CurrentRow=CurrentRow+1;	%next row in original image
	   	Offset=Offset+columns;	%offset
   	end
	end
else
   for i=1:number_of_bands	%store each band
      CurrentRow=Ymin;   %current Row being extracted from Whole_Image
	   Offset=1;
		for j=1:rows
      	SelectedAreasTe{a}{b}(i,Offset:j*columns)=Whole_Image(CurrentRow,Xmin:Xmax,i);
      	CurrentRow=CurrentRow+1;	%next row in original image
	   	Offset=Offset+columns;	%offset
   	end
   end
end

end
end
end   

refresh_image

disp('Finished loading...')

clear path file temp i j a b
clear Area Offset CurrentRow XY Xmax Xmin Ymax Ymin columns_2 columns_1 
clear rows_1 rows_2 rows columns i j

else
   disp('Loading Aborted ...')
   
   clear path file
end

