%Select_Bands.m
%Laura E Santos Campis
%Statistical Pattern Recognition Educational Matlab Toolbox

temp=findobj('tag','EditText6');
rows=str2num(get(temp,'string'));

temp=findobj('tag','EditText7');
columns=str2num(get(temp,'string'));

temp=findobj('tag','EditText4');
l1=str2num(get(temp,'string'));
temp=findobj('tag','EditText2');
l2=str2num(get(temp,'string'));

temp=findobj('tag','EditText5');
c1=str2num(get(temp,'string'));
temp=findobj('tag','EditText3');
c2=str2num(get(temp,'string'));

temp=findobj('tag','PopupMenu1');
format=get(temp,'value');

temp=findobj('tag','PopupMenu2');
pixelsize=get(temp,'value');

temp=findobj('tag','EditText1');
bands=str2num(get(temp,'string'));


pixels=imgopen(filename,format,bands,rows,columns,pixelsize,1:bands,l1,l2,c1,c2);


tag_me=findobj('tag','me_bands');
me=get(tag_me, 'Value');
tag_sub=findobj('tag','subset_bands');
sub=get(tag_sub, 'Value');
tag_pc=findobj('tag','pc_bands');
pc=get(tag_pc, 'Value');
tag_da=findobj('tag','da_bands');
da=get(tag_da, 'Value');

tag_bands=findobj('tag','nbands');
n_bands=str2num(get(tag_bands,'String'));

if me == 1

   for i=1:bands
   Band=['Band ' num2str(i)];
   options(i,1)={(Band)};
	end

   [b2u,OK]=listdlg('listString',options,'prompt',{'Select desired bands';'for analysis'});
   disp('The bands you selected are: ')
   disp(sort(b2u))
elseif sub == 1
   [b2u,cano]=Svdss(pixels',n_bands);
   b2u=sort(b2u);
   disp('The bands selected by Subset Selection are: ')
   disp(b2u)
   disp('with a canonical correlation with the principal components of: ')
   disp(cano)
elseif pc == 1
   disp('Using Pricipal Components Analysis...')
   disp('Proyecting the data...')
   principal_comp
   disp('Analysis Finished...')
elseif da == 1
   b2u=1:bands;
end


clear temp OK options
